VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CDS_NodeSH"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' =============== Static hierarchy Node =====================
' Shared module version: 20210430
' Tested in: TestCommons
' Depends on:
' Required reference:
Option Explicit

Public id_ As Long
Public rank_ As Long
Public parent_ As CDS_NodeSH
Public children_ As Collection ' of CDS_NodeSH
Public descendantsCount_ As Long

Public data_ As Object ' Payload should be filled in by the caller

Private Sub Class_Initialize()
  Set children_ = New Collection
  descendantsCount_ = 0
End Sub

Public Function Init(nID&, nRank&)
  id_ = nID
  rank_ = nRank
End Function
